RetryMessage (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.streaming.messages

## Class RetryMessage

- java.lang.Object
- - org.apache.cassandra.streaming.messages.StreamMessage
  - - org.apache.cassandra.streaming.messages.RetryMessage

- Deprecated.
  retry support removed on CASSANDRA-10992

      @Deprecated
      public class RetryMessage
      extends StreamMessage

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.streaming.messages.StreamMessage

      `StreamMessage.Serializer<V extends StreamMessage>, StreamMessage.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.UUID` | `cfId` Deprecated.
    `int` | `sequenceNumber` Deprecated.
    `static StreamMessage.Serializer<RetryMessage>` | `serializer` Deprecated.

    - ### Fields inherited from class org.apache.cassandra.streaming.messages.StreamMessage

      `CURRENT_VERSION, type, VERSION_20, VERSION_22, VERSION_30`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetryMessage(java.util.UUID cfId, int sequenceNumber)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class org.apache.cassandra.streaming.messages.StreamMessage

      `deserialize, getPriority, sent, serialize, wasSent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static StreamMessage.Serializer<RetryMessage> serializer

      Deprecated.

    - #### cfId

          public final java.util.UUID cfId

      Deprecated.

    - #### sequenceNumber

          public final int sequenceNumber

      Deprecated.

  - ### Constructor Detail

    - #### RetryMessage

          public RetryMessage(java.util.UUID cfId,
                              int sequenceNumber)

      Deprecated.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation